# Class TwoPhaseCommitInterceptor.MapEntry

java.lang.Object
org.apache.catalina.tribes.group.interceptors.TwoPhaseCommitInterceptor.MapEntry

Enclosing class:
  `TwoPhaseCommitInterceptor`

public static class TwoPhaseCommitInterceptor.MapEntry extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final UniqueId`
  `id`
  `final ChannelMessage`
  `msg`
  `final long`
  `timestamp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapEntry(ChannelMessage msg, UniqueId id, long timestamp)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `expired(long now, long expiration)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### msg

    public final ChannelMessage msg

  - ### id

    public final UniqueId id

  - ### timestamp

    public final long timestamp

- ## Constructor Details

  - ### MapEntry

    public MapEntry(ChannelMessage msg, UniqueId id, long timestamp)

- ## Method Details

  - ### expired

    public boolean expired(long now, long expiration)